> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/devices/bringup ## OpenAPI ````json POST /v1/devices/bringup { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/devices/bringup": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesBringupPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DevicesBringupPostResponse" } } } } } } } }, "components": { "schemas": { "v1DevicesBringupPostRequest": { "type": "object", "properties": { "deviceIds": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 } } }, "additionalProperties": false }, "v1DevicesBringupPostResponse": { "type": "object", "properties": { "summaries": { "type": "array", "items": { "$ref": "#/components/schemas/onboardingOnboardingSummary" } } }, "additionalProperties": false }, "onboardingOnboardingSummary": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "discoveredLocation": { "type": "string", "example": "example string" }, "firstAppearedOn": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "ipDetected": { "type": "string", "example": "example string" }, "isNew": { "type": "boolean", "example": true }, "state": { "type": "string", "example": "ENUM_VALUE" }, "status": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````